#ifndef XMODELSTREAMINFO_H
#define XMODELSTREAMINFO_H

#include "xasset.h"
#include "xmodelhighmipbounds.h"

class XModelStreamInfo : public XAsset
{
public:
    XModelStreamInfo();
    ~XModelStreamInfo();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    XModelHighMipBounds *mHighMipBounds;
};

#endif // XMODELSTREAMINFO_H
